Bug 1158682 - rebase systemtap for rhel6.7
Summary: rebase systemtap for rhel6.7
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: systemtap
Version: 6.7
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Frank Ch. Eigler
QA Contact: Martin Cermak
Christian Huffman
URL:
Whiteboard:
Keywords: Rebase
Depends On:
Blocks: 1153397
TreeView+ depends on / blocked
 
Reported: 2014-10-29 20:45 UTC by Frank Ch. Eigler
Modified: 2015-07-22 06:45 UTC (History)
5 users (show)

(edit)
Systemtap rebase to version 2.7
The systemtap package has been rebased to align with upsream version 2.7.  It contains the fixes and features for the respective upstream code, including: DWARF type support for integer expressions, on-the-fly probe arming/disarming, support for multiple scripts, DWARF process(PID) probes, PLT return probes, .nearest probes, .statement lineno ranges and enumerations, improved listing mode, kernel tracepoint subsystem probes, optimized string passing, syscall tapset improvements, highlighted educational examples, and addr->file:line mapping.
Clone Of:
(edit)
Last Closed: 2015-07-22 06:45:06 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1333 normal SHIPPED_LIVE systemtap bug fix and enhancement update 2015-07-20 18:00:10 UTC

Description Frank Ch. Eigler 2014-10-29 20:45:26 UTC
Routine rebase planned.

Comment 3 errata-xmlrpc 2015-07-22 06:45:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1333.html


Note You need to log in before you can comment on or make changes to this bug.